#!/bin/sh

#                       FisGo
# Данный скрипт предназначен для прошивки STM Sputnik
# Производится 3 попытки прошить STM, 
# в случае успеха запускается переинициализация STM 
# и тест принтера с печатью

# Директория проекта
FISGO_DIR=/FisGo
# Директория программатора и прошики STM (16 версия)
STM_SOFTWARE=$FISGO_DIR/loader_and_v16.bin
STM_KSL_FIRMWARE=$FISGO_DIR/thermal_printer_v11.bin
LINE="------------------------------------------------"

# Предпринимаем три попытки прошить STM
for try in first second third
do
	echo $LINE
	echo -e "Burning STM board\t($try try)"
	echo $LINE
	# Прошивка STM
	  
	( ploaderCo $STM_SOFTWARE -b3 -cttyS10 -r | tee stm.log ) && sleep 2
	if [ $? -eq 1 ]
	then
        # STM успешно прошит
  		# Переинициализация STM
  		$FISGO_DIR/preset
		echo "Test of printer"
		# Тест принтера с печатью
		$FISGO_DIR/connect/thermal_printer_test /dev/ttyS10
        echo $LINE
  		echo -e "Burning STM board\t($try try)\tSUCCESS"
  		echo $LINE
		exit 0
	else
		( kslCo $STM_KSL_FIRMWARE -cttyS10 -b3 | tee stm.log ) && sleep 2
		if [ $? -eq 1 ]
		then
	        # STM успешно прошит
	  		# Переинициализация STM
	  		$FISGO_DIR/preset
			echo "Test of printer"
			# Тест принтера с печатью
			$FISGO_DIR/connect/thermal_printer_test /dev/ttyS10
	        echo $LINE
	  		echo -e "Burning STM board\t($try try)\tSUCCESS"
	  		echo $LINE
			exit 0
		fi
        # Ошибка прошивки STM
        echo $LINE
  		echo -e "Burning STM board\t($try try)\tFAILED!"
	fi
done
# STM не прошит
echo $LINE
echo "Burning STM board FAILED!"
echo $LINE
exit 1
