#!/bin/sh

################################
# check that revert avaliable:
# 1) exist revert directory 
# 2) flagRevert=1 
# 3) version revert in config exist and not equal current version   
################################   >> /var/log/revertLog

# 1 Exist revert directory 
if ! [ -d /revertBackup/ ]; then
	echo "No revert directory, Exit!"
	exit 1
fi   

# 2 Flag revert is exist
if ! [ -f /flags/flagRevert ]; then
	echo "No file with flag needRevert, Exit!"
	exit 2
fi

# 3 Flag revert set ON = 1
read needRevert < /flags/flagRevert;
if ! [ $needRevert -eq "1" ]; then
	echo "flagRevert != 1, Exit!"
	exit 3
fi

# 4 Revert version exist sql
revertVersion=$(/userScripts/revertVersionScripts/sqlGetRevertVer.sh)
if [ $? != 0 ]; then
	echo "Can't get Revert Version!"
	exit 4
fi

# 5 Current version exist sql
currentVersion=$(/userScripts/revertVersionScripts/sqlGetCurrentVer.sh)
if [ $? != 0 ]; then
	echo "Can't get Current Version!"
	exit 5
fi

# 6 Version in revert exist (not empty, has symbols)
if [ -z "$revertVersion" ]; then
	echo "No revert version in config (field REVERT_VER), Exit!"
	exit 6
fi

# 7 Version in revert != current version
if [ "$revertVersion" = "$currentVersion" ]; then
	echo "His is the same version, Exit!"
	exit 7
fi

# 8 revert is avaliable, all checks passed
echo "revert is avaliable!"
exit 0
###########
#