#!/bin/sh

#update correct check script

echo $(date +%Y_%m_%d:%H:%M:%S)" START Corr script" >> /var/log/updateLog

#we must not to check correct of updates
if ! [ -f /flags/flagUpd ]; then
	exit 0
fi

read var < /flags/flagUpd;

#we must not to check correct of updates
if [ $var -eq "0" ]; then
	exit 0
fi

echo $(date +%Y_%m_%d:%H:%M:%S)" Update correct check script!" >> /var/log/updateLog

#counters
secsCnt=0;
timeoutSecs=20;
fiscatProcessesCnt=0;

#flags
isWorkingFlag=0;
isNeedBackUp=0;

while :
do
	procCnt=$(pidof fiscat|awk '{print NF}');
	
	if [ $procCnt -eq 1 ]; then
		isWorkingFlag=1;
		echo $(date +%Y_%m_%d:%H:%M:%S)" Process started!" >> /var/log/updateLog
	else
		isWorkingFlag=0;
		echo $(date +%Y_%m_%d:%H:%M:%S)" Process not correct!" >> /var/log/updateLog
	fi
	
	if [ $secsCnt -eq $((timeoutSecs-1)) ]; then
		if ! [ $isWorkingFlag -eq 1 ]; then
			echo $(date +%Y_%m_%d:%H:%M:%S)" Process not correct! Need backup!" >> /var/log/updateLog
			isNeedBackUp=1;
			break
		else
			echo $(date +%Y_%m_%d:%H:%M:%S)" Upd proc started good! " >> /var/log/updateLog
			break
		fi
	fi
	
	sleep 1
	secsCnt=$((secsCnt+1));
done

if [ $isNeedBackUp -eq 1 ]; then
	echo $(date +%Y_%m_%d:%H:%M:%S)" Backup start!" >> /var/log/updateLog
	./updateBackupScript.sh
fi

exit 0
